<?php



namespace ln\jobs;


use app\common\repositories\store\order\StoreOrderProfitsharingRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class OrderProfitsharingJob implements JobInterface
{

    public function fire($job, $id)
    {
        $make = app()->make(StoreOrderProfitsharingRepository::class);
        $profitsharing = $make->get((int)$id);
        if (!$profitsharing || $profitsharing->status != 0) {
            $job->delete();
            return;
        }
        try {
            $make->profitsharing($profitsharing);
        } catch (\Exception $e) {
            Log::info('自动分账失败:' . $e->getMessage());
        }
        $job->delete();
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}